Browser profiles
Delete a browser profile
Delete a browser profile with its stored cookies and storage.
DELETE
/
api
/
v2
/
browser-profiles
/
{profile_id}
from hai_agents import Client
client = Client()
client.browser_profiles.delete_browser_profile(profile_id=profile_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.browserProfiles.deleteBrowserProfile({
profileId,
});
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Path parameters
string
required
The profile’s
id (UUID).Response
204 No Content.
from hai_agents import Client
client = Client()
client.browser_profiles.delete_browser_profile(profile_id=profile_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.browserProfiles.deleteBrowserProfile({
profileId,
});
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Errors
| Status | Cause |
|---|---|
404 | Not found, or not in your organization. |
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
client.browser_profiles.delete_browser_profile(profile_id=profile_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.browserProfiles.deleteBrowserProfile({
profileId,
});
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID \
-H "Authorization: Bearer $HAI_API_KEY"